<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.4.0
 */


if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$grid_type = StockieSettings::get( 'woocommerce_grid_type', 'global' );
if ( $grid_type == NULL ) {
	$grid_type = 'type_1';
}


get_header( 'shop' );



switch ($grid_type) {
	case 'type_1':
		get_template_part('woocommerce/archive-views/type_1');
		break;
	case 'type_2':
		get_template_part('woocommerce/archive-views/type_2');
		break;
	case 'type_3':
		get_template_part('woocommerce/archive-views/type_3');
		break;
	case 'type_4':
		get_template_part('woocommerce/archive-views/type_4');
		break;
	default:
		get_template_part('woocommerce/archive-views/type_1');
		break;
}

get_footer( 'shop' ); ?>
